#
# Copyright(C) 2010-2013, Asio Software Technologies
#
# This is free software, licensed under the GNU General Public License v2.
# See COPYING in the top level directory for more information.
#

qstrip=$(strip $(subst ",,$(1)))

KVER:=$(VERSION).$(RELEASE)$(if $(PATCHLEVEL),-r$(PATCHLEVEL))
OPENWRT_REPO_GIT_URL:=$(call qstrip,$(CONFIG_OPENWRT_REPO_GIT_URL))
OPENWRT_REPO_GIT_BRANCH:=$(call qstrip,$(CONFIG_OPENWRT_REPO_GIT_BRANCH))
OPENWRT_REPO_SVN_URL:=$(call qstrip,$(CONFIG_OPENWRT_REPO_SVN_URL))
OPENWRT_REPO_SVN_REV:=$(call qstrip,$(CONFIG_OPENWRT_REPO_SVN_REV))
PACKAGES_ESSENTIAL_REPO_GIT_URL:=$(call qstrip,$(CONFIG_PACKAGES_ESSENTIAL_REPO_GIT_URL))
PACKAGES_ESSENTIAL_REPO_GIT_BRANCH:=$(call qstrip,$(CONFIG_PACKAGES_ESSENTIAL_REPO_GIT_BRANCH))
PACKAGES_ESSENTIAL_REPO_SVN_URL:=$(call qstrip,$(CONFIG_PACKAGES_ESSENTIAL_REPO_SVN_URL))
PACKAGES_ESSENTIAL_REPO_SVN_REV:=$(call qstrip,$(CONFIG_PACKAGES_ESSENTIAL_REPO_SVN_REV))
PACKAGES_EXTRA_REPO_GIT_URL:=$(call qstrip,$(CONFIG_PACKAGES_EXTRA_REPO_GIT_URL))
PACKAGES_EXTRA_REPO_GIT_BRANCH:=$(call qstrip,$(CONFIG_PACKAGES_EXTRA_REPO_GIT_BRANCH))
PACKAGES_EXTRA_REPO_SVN_URL:=$(call qstrip,$(CONFIG_PACKAGES_EXTRA_REPO_SVN_URL))
PACKAGES_EXTRA_REPO_SVN_REV:=$(call qstrip,$(CONFIG_PACKAGES_EXTRA_REPO_SVN_REV))
TARGET_ARCH:=$(call qstrip,$(CONFIG_TARGET_ARCH))
TARGET_BOARD:=$(call qstrip,$(CONFIG_TARGET_BOARD))

export KVER
